import HaikuBase from './HaikuBase';
export default class HaikuTimeline extends HaikuBase {
    options: any;
    component: any;
    _name: any;
    _descriptor: any;
    _globalClockTime: any;
    _localElapsedTime: any;
    _localExplicitlySetTime: any;
    _maxExplicitlyDefinedTime: any;
    _isPlaying: any;
    constructor(component: any, name: any, descriptor: any, options: any);
    assignOptions(options: any): void;
    ensureClockIsRunning(): void;
    setComponent(component: any): void;
    updateInternalProperties(updatedGlobalClockTime: any): void;
    doUpdateWithGlobalClockTime(globalClockTime: any): void;
    resetMaxDefinedTimeFromDescriptor(descriptor: any): void;
    isTimeControlled(): boolean;
    controlTime(controlledTimeToSet: any, updatedGlobalClockTime: any): void;
    getName(): any;
    getMaxTime(): any;
    getClockTime(): any;
    getElapsedTime(): any;
    getControlledTime(): any;
    getBoundedTime(): any;
    getTime(): any;
    getBoundedFrame(): number;
    getUnboundedFrame(): number;
    getFrame(): number;
    isPlaying(): boolean;
    isFrozen(): boolean;
    isFinished(): boolean;
    duration(): any;
    getDuration(): any;
    setRepeat(bool: any): void;
    getRepeat(): boolean;
    freeze(): void;
    unfreeze(): void;
    start(maybeGlobalClockTime: any, descriptor: any): void;
    stop(maybeGlobalClockTime: any, descriptor: any): void;
    pause(): void;
    play(requestedOptions: any): void;
    seek(ms: any): void;
    gotoAndPlay(ms: any): void;
    gotoAndStop(ms: any): void;
}
